# Test: Compound trigger with old format (no longer supported)
# Expected: FAIL
# Error code: custom
# Error path: agent.menu[0].trigger
# Error message: agent.menu[].trigger compound format error: invalid compound trigger format

agent:
  metadata:
    id: compound-mismatched-kebab
    name: Old Format
    title: Old Format Test
    icon: 🧪
    hasSidecar: false

  persona:
    role: Test agent
    identity: Test identity
    communication_style: Test style
    principles:
      - Test principle

  menu:
    - trigger: TS or tech-spec or fuzzy match on tech-spec
      description: Old format with middle kebab-case (no longer supported)
      action: test
